Subject: [Mgs] Rick Brown

From: "W. David Houser" <[email-masked]>
Date: Mon, 10 Sep 2012 11:16:42 -0400

Listers,
Some sad news about one of our MG family.
Rick Brown passed after his long battle. Rick was the webmaster for several of
our MG national organizations and was recently honored for all his outstanding
service with an American MGC Register Award presented at a past Club Breakfast
by Jeff Zorn of LBC. He received a Special Award of Service from NAMGBR
recently, as well. He was a proud member of NAMGAR and the Mini Register.
Rick belonged to our local Nature Coast English Car Club/Suncoast Classic MG
Club here in Brooksville, FL.
He was a good friend and will be missed.
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/mgs/[email-masked]